> For the complete documentation index, see [llms.txt](https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/llms.txt)

# Update a List of Elements

> PUT /profiles/{profile_id}/pages/{page_id}/elements



## Servers
- https://servername.iformbuilder.com/exzact/api/v60: https://servername.iformbuilder.com/exzact/api/v60


## Authentication methods
- Oauth2


## Parameters
### Headers

- **Authorization** (string)
  e.g. Bearer {access_token}


### Path parameters

- **profile_id** (string)
  id of the profile

- **page_id** (number)
  id of the page


### Query parameters

- **fields** (string)
  extra information of each element on the list

- **limit** (number)
  maximum count of the element list

- **offset** (number)
  skip that many elements before beginning to return


### Body: application/json (object)

- **id** (number)

- **name** (string)

- **label** (string)

- **description** (string)

- **data_type** (number)

- **data_size** (number)

- **widget_type** (string)

- **sort_order** (number)

- **optionlist_id** (number)

- **default_value** (string)

- **low_value** (number)

- **high_value** (number)

- **dynamic_value** (string)

- **is_required** (boolean)

- **condition_value** (string)

- **client_validation** (string)

- **is_disabled** (boolean)

- **reference_id_1** (string)

- **attachment_link** (string)

- **is_readonly** (boolean)

- **is_action** (boolean)

- **validation_message** (string)

- **smart_tbl_search** (string)

- **smart_tbl_search_col** (string)

- **is_encrypt** (boolean)

- **is_hide_typing** (boolean)

- **keyboard_type** (number)

- **dynamic_label** (string)

- **weighted_score** (number)



## Responses
### 200
OK

#### Body: application/json (object)
- **id** (number)
  the updated element id



[Powered by Bump.sh](https://bump.sh)
